using System;
using Sce.PlayStation.Core;
using Sce.PlayStation.Core.Graphics;
using Sce.PlayStation.Core.Audio;
using Sce.PlayStation.HighLevel.GameEngine2D;
using Sce.PlayStation.HighLevel.GameEngine2D.Base;
using Sce.PlayStation.Core.Input;

namespace StreetDreams
{
	public class Goal : Node
	{
		public float x,y;
		private SpriteUV sprite;
		private const string spritePath = "Application/assets/images/goal.png";
		
		public Goal(float x, float y)
		{
			this.x = x;
			this.y = y;
			this.setSprite();
		}
		
		private void setSprite()
		{

			Texture2D texture = new Texture2D(spritePath,false);
			TextureInfo textureInfo = new TextureInfo(texture);
			float pivotCenter = 0.5f;
			this.sprite = new SpriteUV(textureInfo);
			this.sprite.Scale = textureInfo.TextureSizef/2;
			this.sprite.Pivot = new Vector2(pivotCenter,pivotCenter);
			this.sprite.Position = new Vector2(this.x, this.y);	
			this.AddChild(this.sprite);
		}
	}
}

